Page MenuHomePhabricator

Missing Pageview API data for one article {slug} [3 pts]
Closed, ResolvedPublic

Description

I just tried the demo, and it seems that there are missing data for the 2015 Beirut bombings.

Event Timeline

Ainali created this task.Nov 16 2015, 10:38 PM
Ainali updated the task description. (Show Details)
Ainali raised the priority of this task from to Needs Triage.
Ainali added a project: Analytics-Backlog.
Ainali added a subscriber: Ainali.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptNov 16 2015, 10:38 PM

@Ainali can you check if you are still seeing this bug?

mforns added a subscriber: mforns.Nov 17 2015, 1:27 AM

Thanks @Ainali and @madhuvishy for spotting this bug.
The problem was not missing data, but formatting of the timeseries: a problem caused by one of the caveats of the API.
It should be fixed now.

mforns triaged this task as High priority.Nov 17 2015, 1:28 AM
mforns claimed this task.
mforns edited projects, added Analytics-Kanban; removed Analytics-Backlog.
mforns set Security to None.
mforns moved this task from Next Up to Done on the Analytics-Kanban board.

(the caveat is that the API does not return data if there are no pageviews for a particular timestamp or date. That means you'll have to fill in with nulls depending on how your charting library needs to see the data)

@Ainali can you check if you are still seeing this bug?

No, it has been fixed.

JAllemandou added a subscriber: JAllemandou.EditedNov 17 2015, 9:32 AM

Not fixed for me :(

--> Correction

Actually fixed, but we should remove the original demo in labs (confusing for my poor head).

mforns renamed this task from Missing Pageview API data for one article to Missing Pageview API data for one article {slug} [3 pts].Nov 17 2015, 5:22 PM
kevinator closed this task as Resolved.Nov 19 2015, 5:04 PM
kevinator added a subscriber: kevinator.